- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::NoOp_Configurator Class Reference

`#include <NoOp_Configurator.h>`

Inheritance diagram for CIAO::NoOp_Configurator:

[legend]
Collaboration diagram for CIAO::NoOp_Configurator:

[legend]
List of all members.

## Public Member Functions
virtual | ~NoOp_Configurator (void)
| Default destructor.
virtual int | pre_orb_initialize (void)
| "pre_orb_initialize" is called before ORB_init.
virtual int | post_orb_initialize (CORBA::ORB_ptr o)
| "post_orb_initialize" is called after NodeApplication get a hold at this object.
virtual int | init_resource_manager (const ::Deployment::Properties &properties)
| "init_resource_manager" is called by NodeApplication when it receives an "install" commands.
virtual CORBA::PolicyList * | find_container_policies (const ::Deployment::Properties &properties)
| get a policyset by its name.

## Constructor & Destructor Documentation

CIAO::NoOp_Configurator::~NoOp_Configurator | ( | void |  | ) | `[virtual]`

Default destructor.

## Member Function Documentation

CORBA::PolicyList * CIAO::NoOp_Configurator::find_container_policies | ( | const ::Deployment::Properties & | properties | ) | `[virtual]`

get a policyset by its name.

Implements CIAO::NodeApp_Configurator.

int CIAO::NoOp_Configurator::init_resource_manager | ( | const ::Deployment::Properties & | properties | ) | `[virtual]`

"init_resource_manager" is called by NodeApplication when it receives an "install" commands.

Implements CIAO::NodeApp_Configurator.

int CIAO::NoOp_Configurator::post_orb_initialize | ( | CORBA::ORB_ptr | o | ) | `[virtual]`

"post_orb_initialize" is called after NodeApplication get a hold at this object.

Implements CIAO::NodeApp_Configurator.

int CIAO::NoOp_Configurator::pre_orb_initialize | ( | void |  | ) | `[virtual]`

"pre_orb_initialize" is called before ORB_init.

Implements CIAO::NodeApp_Configurator.

The documentation for this class was generated from the following files:

- NoOp_Configurator.h
- NoOp_Configurator.cpp